Időzóna: (GMT +2 óra) RSS - hozzászólások

Megjelent a phpBB 3.0.2

Szerző
Üzenet
Christian
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2008.01.02. Szerda 3:49
Hozzászólások: 110
Hozzászólás Elküldve: 2008.07.15. 14:10    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Hát azzal nem. De szerintem gyorsabb ha felteszed. Meg szerintem biztonságosabb is. Tegnap én se akartam ftp-ről frissíteni, de kénytelen voltam, mivel a fórum nem találta meg az új verziót. :evil:

Felhasználó profiljának megtekintése Privát üzenet küldése
Mykee
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2005.08.29. Hétfő 2:00
Hozzászólások: 806
Hozzászólás Elküldve: 2008.07.15. 14:19    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Oké, de az autoupdate legalább csinál fájlösszehasonlítást, kézi felrakásnál meg bele sem gondolok mennyit kéne moddolni újra. Sikítva rohanok a falnak. Kábé mint egy windows újratelepítés nálam, ami egy napig is eltart, ha nem kettő. Úgyhogy belegondolok és nem tudom egyáltalán mennyire éri meg. Mert ha pl. fél évente jönne ki új verzió, akkor talán, hiszen fél évente belefér, de hogy 1-2 havonta. Na nem.

Felhasználó profiljának megtekintése Privát üzenet küldése
fberci
Adminisztrátor
Adminisztrátor
Avatar

Csatlakozott: 2005.05.28. Szombat 2:00
Hozzászólások: 7388
Hozzászólás Elküldve: 2008.07.15. 14:48    Hozzászólás témája:
Hozzászólás az előzmény idézésével

Mykee írta:

Miért nem lehet azt megszabni a modfejlesztőknek, hogy a nyelvi állományokhoz tilos hozzányúlni és csináljanak saját php-t ehhez? Mint a Sudoku vagy az Arcade modok esetében. Mert akkor a nyelvi fájlokat egyszerűen felülcsapnám az újakkal és a magyarított modoknak meg ott van a fájl...
Van ilyen irányelv, de a phpBB Csoport csak a phpBB.com MOD adatbázisába bekerülő MOD-okra tud hatással lenni, így érdemes csak onnan telepíteni MOD-okat (márcsak azért is, mert azok ellenőrzésre kerülnek, biztonságossági szempontból is).

Mykee írta:

Na igen, de ha nem az alapot használom, meg vagyok lőve, mert vagy kijön vagy nem a 3.0.2-es verzió azokból, na meg az autoupdate-be beletenni az eredetit, meg a javítottat, aztán a magyarításból is öszeszedni.. Ráadásul most csinálhatom meg két lépcsőben az autoupdate-et, mert a 3.0.1-ről lehet csak 3.0.2-re autoupdate-et csinálni, a többinél jöhet a kézimunka. Brrr...
Én is csináltam tegnapelőtt egy 3.0.0 -> 3.0.2-es autoupdate-et (két lépésben), és nem volt olyan szörnyű. Mondjuk az összes megváltozott PHP fájlnál talált egy ütközést, mert az SVN-ünk az összes fájl @version részét átírta, de csak mindegyiknél át kellett állítani, hogy vonja össze a változtatásokat, és kész. Talált egy-két más ütközést is, de azok is könnyen javíthatók voltak.

Mykee írta:

Mert ha pl. fél évente jönne ki új verzió, akkor talán, hiszen fél évente belefér, de hogy 1-2 havonta. Na nem.
A phpBB 3.0.0 és 3.0.1 között 4 hónap telt el, míg a 3.0.1 és a 3.0.2 között 3 hónap. Ez azért nem egy-két havonta. :wink: A 3-as verziónál direkt törekedtek a lehetőleg kevesebb verzió kiadására, hogy ne kelljen annyit frissíteni, de a frissítések további ritkítása már kárára lenne a projektnek, szvsz nem előny, hanem hátrány származna belőle.
_________________
Üdv.: fberci
Kereső | Szabályzat | phpBB3 telepítés/frissítés/konvertálás | Útmutatók | Olympus - phpBB3 | Kérlek, ne küldj privát üzenetet nem személyes dologgal kapcsolatban!

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése
Mykee
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2005.08.29. Hétfő 2:00
Hozzászólások: 806
Hozzászólás Elküldve: 2008.07.15. 15:04    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Oké, akkor veszek egy nagy levegőt és megpróbálok két lépésben upgradelni, aztán meglátjuk mi lesz... :roll: Remélem azért a modok javarésze menni fog.
Múltkor csináltam az egyik fórumomra egy magyar autoupdate-et 3.0.1-re (amit csináltatok), de az admin felületen kód jelent meg a magyar szöveg helyett.
Ha az autoupdate-be beleteszem a magyar fájlokat és úgy töltöm fel, akkor az úgy elvileg működik?
Mert sok mod nyúl bele a nyelvi állományokba és akkor mindegyiket át kéne néznem egyesével, hogy vajon az belenyúlt-e... Vagy hagyom a magyar fájlokat 3.0-ásan és ahol épp új szöveg van, ott elvileg angolul kéne megjelennie. Vagy van egy XML vagy leírás, hogy melyik magyar fájlban mi változott? Mert mint egy MOD akkor kézzel megcsinálom a frissítést a jelenlegiben. Talán kevesebb meló, mint a modokat felvezetni...

Felhasználó profiljának megtekintése Privát üzenet küldése
treko
Gyakorló phpBB-s
Gyakorló phpBB-s
Avatar

Csatlakozott: 2007.02.23. Péntek 10:35
Hozzászólások: 80
Hozzászólás Elküldve: 2008.07.15. 16:22    Hozzászólás témája:
Hozzászólás az előzmény idézésével

Idézet:

Súlyos telepítési hiba
Súlyos telepítési hiba

index.php [ 396 ]

Module "" not accessible.
A fenti üzenetet kapom a frissítés során az install könyvtárba lépve, és nem értem mi lehet a hiba.

Alternatívaként lefuttattam az database_update.php -t, ami hibajelzés nélkül történt, de ugye jól érzem, hogy ezzel nem teljes a frissítés?

Tud valaki segíteni?
_________________
treko.hu

Felhasználó profiljának megtekintése Privát üzenet küldése Email küldése Felhasználó weblapjának megtekintése
Arnika
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.11.29. Szerda 16:59
Hozzászólások: 231
Hozzászólás Elküldve: 2008.07.15. 17:44    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Az utolsó lépésnél (állományok frissítése) nem enged tovább :?
host: ftp.extra.hu
felhasználónév és jelszó egyértelmű
elérési út (nálam forum mappa) /forum/
port 21

Mit rontottam el?

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése MSN Messenger
Christian
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2008.01.02. Szerda 3:49
Hozzászólások: 110
Hozzászólás Elküldve: 2008.07.15. 18:13    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Pfff. Nálam meg nem lehet hozzászólást küldeni +kidobálgatja a fórum az embereket. Még az AVP-hoz sem tudok hozzájutni.

Felhasználó profiljának megtekintése Privát üzenet küldése
Thomas RC
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.09.29. Péntek 2:00
Hozzászólások: 4377
Hozzászólás Elküldve: 2008.07.15. 18:19    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Szerintem a problémák és annak megoldásai nem a bejelentéshez tartozn(án)ak.

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése
Arnika
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.11.29. Szerda 16:59
Hozzászólások: 231
Hozzászólás Elküldve: 2008.07.15. 18:22    Hozzászólás témája:
Hozzászólás az előzmény idézésével
jogos... elnézést

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése MSN Messenger
Mykee
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2005.08.29. Hétfő 2:00
Hozzászólások: 806
Hozzászólás Elküldve: 2008.07.15. 20:48    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Az egyik fórumomra ráengedtem a kétlépcsős autoupdate-et, és most akkora a katyvasz, hogy bele sem merek gondolni. Hol ez, hol az nem jön be, úgyhogy kezdhetem előlről a moddolást. Itt csak 20 mod van fent nem negyven. Előre félek a másiknál, ahol 40 van... :(

Felhasználó profiljának megtekintése Privát üzenet küldése
Christian
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2008.01.02. Szerda 3:49
Hozzászólások: 110
Hozzászólás Elküldve: 2008.07.15. 23:26    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Egyszerű a megoldás: nem kell frissíteni. Tanácsos, de nem muszáj. Észrevételem szerint nálam a két frissítés után több hiba jött elő mint frissítés előtt. Most nagyon gondolkozom, hogy lehetne visszaforgatni az alap fórum motorra. De lehet az extra szervere ennyire gyér nem tudom.
De a te példát is remekül szolgál számomra, hogy ne moddoljam a fórumom ha a megjelenő frissítéseket felpakolom rá.

Felhasználó profiljának megtekintése Privát üzenet küldése
Mykee
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2005.08.29. Hétfő 2:00
Hozzászólások: 806
Hozzászólás Elküldve: 2008.07.16. 00:03    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Sajnos most pár óra szenvedés után arra jutottam, hogy legyalulom az egész fórumot és visszatöltöm a korábbit nem tudok mit csinálni. Tényleg. A leghülyébb helyen jönnek elő "ezt nem találom, azt nem találom funkciók". Vagy az egész fórumot előlről moddolom 3.0.2-re, vagy visszateszem a régit. Elég volt. Nem frissítek 3.0.0-ról. ez van. Amíg nincs rendes mod készítési és telepítési szabályzat, hogy mibe ne piszkáljunk bele. Pl. a functions.php-be a legtöbb mod belepiszkít, vagy soroljam még? Remélem vissza tudom állítani a korábbi állapotot az adatbázis mentésből és a fájlokból.

Visszaállítottam a teljes mentést, és max majd akkor frissítek, ha kijön a 4.0-ás verzió, vagy ha nagyon muszáj, mert ehhez a tű a szénakazalban (vajh, melyik mod rakott keresztbe a frissítés után az oldalaknak?) "játékhoz" nem sok idegem van. MOD nélkül meg nem igazán tudom hozni a színvonalat egy fórumnál. Úgyhogy amíg a nyelvek nem lesznek a modoktól leválasztva, és nincs rendes modinstaller, hanem nekem kel minden sort végigbogarászni és húszszor lementeni a functions.php-t vagy a viewtopic.php-t, mert minden mod abba ír bele, akkor egyelőre inkább nem frissítek. A frissítő meg megbolondul tőle és inkább a fájlcserét kínálja fel...
Vagy kezdem frissen egy 3.0.2-essel, alácsapok egy adatbázist, azt frissítem és hajrá Marika néni, nekiesek mind a negyven modnak újra... Egy pár napomba beleesne az tuti.

Felhasználó profiljának megtekintése Privát üzenet küldése
Thomas RC
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.09.29. Péntek 2:00
Hozzászólások: 4377
Hozzászólás Elküldve: 2008.07.16. 10:25    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Véleményem szerint a MODokkal az a baj, hogy a működésükhöz szükséges belepiszkálni a fórum fájljaiba, ami később frissítési nehézségekhez vezet.
A legjobb szerintem az lenne, ha a MODokat egyszerűen be kellene másolni egy mappába és az admin felületen aktiválni kellene. Így nem kéne belepiszkálni a fájlokba, és a frissítés is roppant egyszerű (mind a fórumé, mind a MODoké: ha megjelenik egy új verzió az adott MODból, akkor egyszerűen felülírjuk vele a régit). Hogy jobban megértsétek, olyanra gondolok, mint ami a WordPress-nél van. Csak ottan nem MODok, hanem pluginok vannak. És a WordPressnél is csak minimálisan, csak a sablon fájlokba kell belepiszkálni, ha olyan pluginról van szó (például betenni a sablonba egy nagyon rövid HTML kódot).

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése
Mykee
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2005.08.29. Hétfő 2:00
Hozzászólások: 806
Hozzászólás Elküldve: 2008.07.16. 11:14    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Pontosan ilyen lenne jó, egyetértek veled. És vannak is ilyen modok, amiket egyszerűen bemásolsz és az admin felületen pedig hozzáadod (pl. a leíratkozásos mod, vagy hasonló az Arcade vagy a Sudoku mod is). Hiába van a PHPBB-sek által validálva egy mod, ha utána nem ellenőrzik újra és újra. Pl. van a Welcome Private Mail. Nos ők az 1.00-ást validálták, miközben a Star Trekesek már kiadták a 2.3.3-as verziót (ha jól tudom a számát), amit szintén pofon egyszerű telepíteni és rendesen megy.
Most akkor végülis két dolog áll egymással szemben: vagy plusz szolgáltatásokat adok és nem frissítek, vagy frissítek, de akkor jobb, ha nulláról kezdek minden verziót, ha modolni akarok. :roll: Moddolt fórumot meg felejtsem el, ha frissíteni akarok.
Ráadásul a modok is frissülnek, tehát nem egyszerű frissíteni azokat sem, mert nincs olyan, hogy egy kattintással kilövöm a modot, és eltávolítom (mint pár másik fórummotornál...) és egyszerűen cserélem, hanem ide írd be, oda írd be, és persze jó, ha számozom a modokat, hogy melyiket melyik után tettem fel, mivel sok mod ugyanazokba a fájlokba nyúl bele. És ha frissítek egy modot, akkor előbb a régit, aztán az újat kell feltennem, ha a sorrendet be akarom tartani. ehhh...
Szóval a 3.0.2-es átállás nagyon megfontolandó...

Felhasználó profiljának megtekintése Privát üzenet küldése
Thomas RC
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.09.29. Péntek 2:00
Hozzászólások: 4377
Hozzászólás Elküldve: 2008.07.16. 12:03    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Továbbá van ez:

Idézet:

Ezen a fórumon csak a phpBB 3.0.2-es és 2.0.23-as verziójával foglalkozunk.
Vagyis ha nem 3.0.2-es a fórumod, akkor nem foglalkoznak veled elvileg. Ez azért szerintem nagy pofátlanság, hogyha valaki a sok MOD miatt nem tudja frissíteni a fórumot, akkor nem kap supportot :?.
Az RC szakaszban még oké, hogy csak a legfrissebb verzió kap támogatást...

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése
Hozzászólások megtekintése:  

Időzóna: (GMT +2 óra) RSS - hozzászólások
Nem készíthetsz új témákat ebben a fórumban.
Nem válaszolhatsz egy témára ebben a fórumban.
Nem módosíthatod a hozzászólásaidat a fórumban.
Nem törölheted a hozzászólásaidat a fórumban.
Nem szavazhatsz ebben fórumban.

Hirdetés
Hirdetés